JailbreakMe 3.0 to Support only 4.3.3 at Launch – Support for other firmware added in the future

@Comex still hasn't officially released the JailbreakMe 3.0 jailbreak that is set to jailbreak the iPad2. However, today he gave us an update that initially the jailbreak will only support .3 firmware which is strange since the leaked jailbreakme 3.0 files from the other day only support 4.3, but he has mentioned that the compatibility is due to the timeframe he is on now since he is rushing to get the jailbreak out before iOS 4.3.4 is released.

However, he tweeted a few moments later that eventually he will be adding support for , 4.3, and just not at first.

  • Eugene

    Not working. Safari just closing… Iphone with 4.3.3

    • http://iphoneblogr.com JaeM1llz

      Try again, this time try a different connection(i.e. if you tried on Wi-Fi last time, try on 3G this time). I have done 2 iPhone4s and 3 iPhone3Gs all on 4.3.3 and they all worked perfect on the first try.